%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%global reltag Final_redhat_1
%global mavenversion %{version}.Final-redhat-1

%global mavengroup org.jboss.spec.javax.faces
%global artifact0 %{name}

%global title JBoss JSF 2.1 API Spec

%define maven_version 2.0.2.Final-redhat-1

Name:    jboss-jsf-api_2.1_spec
Version: 2.0.2
Release: 1.%{reltag}%{?dist}
Epoch:   0

License: LGPLv2+
Summary: %{title}
Group:   Development/Libraries/Java

%if %with mead
Source100: org.jboss.spec.javax.faces-jboss-jsf-api_2.1_spec-2.0.2.Final-redhat-1-sources.zip
Source101: org.jboss.spec.javax.faces-jboss-jsf-api_2.1_spec-2.0.2.Final-redhat-1-patches.zip
Source102: jboss-jsf-api_2.1_spec-2.0.2.Final-redhat-1.pom
Source103: jboss-jsf-api_2.1_spec-2.0.2.Final-redhat-1-sources.jar
Source104: jboss-jsf-api_2.1_spec-2.0.2.Final-redhat-1.jar
Source105: jboss-jsf-api_2.1_spec-2.0.2.Final-redhat-1-javadoc.jar
%endif

URL:     https://github.com/jboss/jboss-jsf-api_spec

%if %without mead
# git clone git://git.app.eng.bos.redhat.com/jboss/jboss-jsf-api_spec.git
# cd jboss-jsf-api_spec && git checkout jboss-jsf-api_2.1_spec-2.0.1.Final
# cd .. && tar cjf jboss-jsf-api_2.1_spec-2.0.1.Final-src.tar.bz2 jboss-jsf-api_spec
# HEAD is now at 283c89e... 
Source0:  %{name}-%{version}.Final-src.tar.bz2
%endif

BuildRequires: unzip

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
JBoss implementation of the JavaServer Faces API specification version 2.1.

%package javadoc
Summary:  Javadoc for %{title}
Group:    Development/Documentation

Requires: jpackage-utils

%description javadoc
API documentation for %{title}.

%package sources
Summary:  Sources of %{title}
Group:    Development/Libraries/Java

Requires: jpackage-utils

%description sources
Sources of %{title}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}/

%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}-sources.jar

(cd %{buildroot}%{_javadir}/ && for jar in *-%{mavenversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{mavenversion}||g"`; done)

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{mavenversion} JPP %{artifact0}

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__unzip} -qq %{_sourcedir}/%{artifact0}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/META-INF
%{__ln_s} %{name}-%{mavenversion} %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}*/
%exclude %{_javadir}*/*-javadoc.jar
%exclude %{_javadir}*/*-sources.jar
%exclude %{_javadocdir}
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}

%files sources
%defattr(-,root,root,-)
%dir %{_javadir}*/%{name}
%{_javadir}*/*-sources.jar
%exclude %{_javadocdir}
%{_mavenpomdir}/*

%changelog
* Wed May 02 2012 Lin Gao <lgao@redhat.com> - 0:2.0.2-1.Final_redhat_1
- Upgrade to 2.0.2.Final

* Thu Mar 29 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.1-1.Final_redhat_1.1
- Upgrade to 2.0.1.Final-redhat-1

* Mon Mar 19 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.0-6.Final_redhat_1.2
- Upgrade to new wrapper
- Fix jars' installation path

* Thu Feb 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.0-6.Final_redhat_1.1
- Take "Final" out of RPM version as it breaks several scripts
- Fill java-signed dir (fix to template)

* Fri Feb 17 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.0.0.Final-5_redhat_1
- Upgrade to 2.0.0.Final

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:2.0.0.Beta1-4_redhat_1
- Rebuild to use new signing key

* Fri Feb 03 2012 Lin Gao <lgao@redhat.com> - 0:2.0.0.Beta1-3_redhat_1
- fix pom to use new BOM
- rebuild for new sign key
- switch rhpkg for building

* Fri Nov 04 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.0.0.Beta1-2_redhat_1
- Rebuild from git repository

* Mon Oct 31 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.0.0.Beta1-1_redhat_1
- Initial build for Werewolf
